Package org.gradle.api.plugins

# Class WarPlugin

java.lang.Object
org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class WarPlugin extends Object implements Plugin<Project>

A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

See Also:
  - WAR plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROVIDED_COMPILE_CONFIGURATION_NAME`
  `static final String`
  `PROVIDED_RUNTIME_CONFIGURATION_NAME`
  `static final String`
  `WAR_TASK_NAME`
  `static final String`
  `WEB_APP_GROUP`
  Deprecated.
  This constant scheduled for removal in Gradle 9.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.
  `void`
  `configureConfigurations(ConfigurationContainer configurationContainer)`
  Deprecated.
  This method will be removed in Gradle 9.0.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROVIDED_COMPILE_CONFIGURATION_NAME

    public static final String PROVIDED_COMPILE_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### PROVIDED_RUNTIME_CONFIGURATION_NAME

    public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### WAR_TASK_NAME

    public static final String WAR_TASK_NAME
    See Also:
      - Constant Field Values

  - ### WEB_APP_GROUP

    @Deprecated public static final String WEB_APP_GROUP
    Deprecated.
    This constant scheduled for removal in Gradle 9.0
    Task group for web application related tasks.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WarPlugin

    @Inject public WarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object

  - ### configureConfigurations

    @Deprecated public void configureConfigurations(ConfigurationContainer configurationContainer)
    Deprecated.
    This method will be removed in Gradle 9.0.
    This method is intended for internal use and should not be called.